Page MenuHomePhabricator

Make bulk editor working set editable and more homogenous
ClosedPublic

Authored by epriestley on Nov 30 2017, 1:39 PM.
Tags
None
Referenced Files
F13310344: D18805.id45118.diff
Mon, Jun 10, 12:23 PM
F13309736: D18805.diff
Mon, Jun 10, 10:32 AM
F13274699: D18805.diff
Fri, May 31, 4:00 AM
F13261809: D18805.diff
Mon, May 27, 1:27 AM
F13219915: D18805.id45139.diff
Sat, May 18, 9:54 PM
F13187499: D18805.diff
May 11 2024, 4:33 AM
Unknown Object (File)
May 7 2024, 7:42 AM
Unknown Object (File)
May 7 2024, 5:02 AM
Subscribers
None

Details

Summary

Ref T13025. See PHI50. Fixes T11286. Ref T10005. Begin modernizing the bulk editor.

For T10005 ("move the bulk editor to modern infrastructure"), rewrite the rendering of the editable set so that it is application-agnostic and can work with any kind of object.

For T11286 ("let users de-select items in the working set"), make the working set editable.

Test Plan

Screen Shot 2017-11-30 at 5.34.28 AM.png (1×1 px, 140 KB)

  • Deselected some objects, applied an edit, saw the edit apply to only selected objects.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

New interface looks great!

webroot/rsrc/js/phui/behavior-phui-selectable-list.js
24

"selection"

This revision is now accepted and ready to land.Nov 30 2017, 10:59 PM
This revision was automatically updated to reflect the committed changes.